import { Component, Input, OnInit } from "@angular/core";
import { History } from "../../../../models/data/data.model";

@Component({
  selector: "app-history-btn",
  templateUrl: "./history-btn.component.html",
  styleUrls: ["./history-btn.component.scss"]
})
export class HistoryBtnComponent implements OnInit {

  @Input() history: History[] = [];
  @Input() translationKey: string = "";

  showSidebar = false;

  constructor() {
  }

  ngOnInit(): void {
  }

  openHistory(): void {
    this.showSidebar = true;
    let oldHistory: Partial<History> = {};
    for (const history of this.history) {
      const attributes = Object.keys(history).map((key) => {
        return key;
      });
      for (const attribute of attributes) {
        if (history[attribute] === oldHistory[attribute]) {
          delete oldHistory[attribute];
        }
      }

      oldHistory = history;
    }
  }

  getAttributeTranslationKey(key: string) {
    return `common.history.${key}`;
  }

}
